<?php

/*
	config.php

	by Andy Maloney [asmaloney@users.sf.net]

	Configuration for the Gallery Block.

	NOTE: In order for some of these options to take effect, the cache must be recreated.
	You can either wait for the next update, or remove the cache file and refresh the page.
*/

// ----------------------------------------------------------------------------
// - Gallery ------------------------------------------------------------------

// Path to your gallery installation
$GALLERY_BASEDIR = '/path/to/gallery/';


// ----------------------------------------------------------------------------
// - Nested Albums ------------------------------------------------------------

// Show nested albums
$GB_CONF['nested_show'] = 1;

// The depth of the path to the album to display
// e.g. If you have this: Album1:Album2:Album3 then
//	0	gives you Album3
//	1	gives you ...Album2:Album3
//	2	gives you Album1:Album2:Album3
$GB_CONF['nested_parent_depth'] = 0;

// Text to use as the ellipsis if the path is too long [as in example above]
$GB_CONF['nested_ellipsis'] = '&hellip;';

// Delimiter to use between parents and children [as in example above]
//  WARNING - if you choose '::' for this, MAKE SURE YOU CHANGE 'cache_delimiter' below
$GB_CONF['nested_delimiter'] = ':';


// ----------------------------------------------------------------------------
// - Cache File ---------------------------------------------------------------

// Cache file path
$GB_CONF['cache_file'] = '/tmp/GalleryBlock.cache';

// Text which delimits fields in the cache
//	- DO NOT play with this unless you understand what it is!
//	- make sure it isn't ""
//	- configurable so that if your album titles have "::" in them, or you choose "::" for
//		your nested album delimiter, you can change this to something else [e.g. ":::"]
$GB_CONF['cache_delimiter'] = '::';

// Cache file expiry in seconds
$GB_CONF['cache_expiry'] = 7200;


// ----------------------------------------------------------------------------
// - No Albums ----------------------------------------------------------------

// Show the block even if there are no albums to view
$GB_CONF['no_albums_show'] = 1;

// Message if there aren't any albums visible to the user
$GB_CONF['no_albums_text'] = '[No albums]';


// ----------------------------------------------------------------------------
// - Header -------------------------------------------------------------------

// Show the header text
$GB_CONF['ht_show'] = 1;

// The header text
//	- %numphotos is replaced by the total number of photos in all albums visible to the user
//	- %numalbums is replaced by the number of albums visible to the user
$GB_CONF['ht_text'] = '[%numphotos photos in %numalbums albums]';


// ----------------------------------------------------------------------------
// - Latest Updates -----------------------------------------------------------

// Show the latest updates section
$GB_CONF['lu_show'] = 1;

// Title of section
$GB_CONF['lu_title'] = 'Latest Updates';

// The number of albums to display
$GB_CONF['lu_num_albums'] = 3;

// The date format to use for displaying the last update date and time
//	- if this is "", nothing will be displayed
//	- a change to this will take effect next time the cache is written
//	- see http://php.net/manual/en/function.strftime.php for formats
$GB_CONF['lu_date_format'] = '%d/%m/%y at %T';

// How long ago is still considered 'new'?
//	- in seconds
//	- 604800 is one week
//	- a change to this will take effect next time the cache is written
$GB_CONF['lu_new_update_interval'] = 604800;

// If the update is considered 'new', then display this image to the right of the albums title
//	- change to "" if you do not want to display an image
$GB_CONF['lu_image_path'] = 'galleryblock/update.gif';
$GB_CONF['lu_image_width'] = 12;
$GB_CONF['lu_image_height'] = 11;


// ----------------------------------------------------------------------------
// - Most Viewed Albums -------------------------------------------------------

// Show the most viewed albums section
$GB_CONF['mv_show'] = 1;

// Title of the section
$GB_CONF['mv_title'] = 'Most Viewed';

// The number of albums to display
$GB_CONF['mv_num_albums'] = 3;

// Text to display next to the album name
//	- %hits is replaced by the number of hits the album has received
$GB_CONF['mv_text'] = ' [%hits times]';

?>
